# H501_SecurityMode Class Reference

`#include <h501.h>`

Inheritance diagram for H501_SecurityMode:

List of all members.

## Public Types

enum | OptionalFields { e_authentication, e_integrity, e_algorithmOIDs }

## Public Member Functions

| H501_SecurityMode (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H235_AuthenticationMechanism | m_authentication
H225_IntegrityMechanism | m_integrity
H501_ArrayOf_PASN_ObjectId | m_algorithmOIDs

## Member Enumeration Documentation

enum H501_SecurityMode::OptionalFields

Enumerator:

  e_authentication |
  e_integrity |
  e_algorithmOIDs |

## Constructor & Destructor Documentation

H501_SecurityMode::H501_SecurityMode | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_SecurityMode::GetDataLength | ( |  | ) | const

PBoolean H501_SecurityMode::Decode | ( | PASN_Stream & | strm | ) |

void H501_SecurityMode::Encode | ( | PASN_Stream & | strm | ) | const

void H501_SecurityMode::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_SecurityMode::Compare | ( | const PObject & | obj | ) | const

PObject* H501_SecurityMode::Clone | ( |  | ) | const

## Member Data Documentation

H235_AuthenticationMechanism H501_SecurityMode::m_authentication

H225_IntegrityMechanism H501_SecurityMode::m_integrity

H501_ArrayOf_PASN_ObjectId H501_SecurityMode::m_algorithmOIDs

The documentation for this class was generated from the following file:

- h501.h